aboutsummaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2018-02-04 20:07:12 -0600
committerRob Landley <rob@landley.net>2018-02-04 20:07:12 -0600
commit29fb63849d4d49bc5afda2b6562faca3e4791ac4 (patch)
treecd000a7ef900ea0844fbfe6f68b8a9c8d11104e4 /configure
parente2275c069bb6996ef09e4e58840cbd1c85e0b697 (diff)
downloadtoybox-29fb63849d4d49bc5afda2b6562faca3e4791ac4.tar.gz
People keep running ./configure, so have it do a defconfig for them.
Diffstat (limited to 'configure')
-rwxr-xr-x[-rw-r--r--]configure11
1 files changed, 10 insertions, 1 deletions
diff --git a/configure b/configure
index a7a427f6..14c9c659 100644..100755
--- a/configure
+++ b/configure
@@ -1,7 +1,16 @@
-# Toybox configuration file.
+#!/bin/bash
# This sets environment variables used by scripts/make.sh
+# People run ./configure out of habit, so do "defconfig" for them.
+
+if [ "$(basename "$0")" == configure ]
+then
+ echo "Assuming you want 'make defconfig', but you should probably check the README."
+ make defconfig
+ exit $?
+fi
+
# A synonym.
[ -z "$CROSS_COMPILE" ] && CROSS_COMPILE="$CROSS"